.header {
  position: fixed;
  top: 0;
  z-index: 999;
  height: 84px;
  width: 100%;
  transition: 0.25s ease-in-out;
  background-color: rgba(255, 255, 255, 0.75);
}

.header.scrolled {
  background-color: rgba(255, 255, 255, 0.75);
  transition: 0.25s ease-in-out;
}

.header-wrapper {
  padding: 0 4em;
  display: flex;
  flex-direction: column;
}

.header.open .header-wrapper {
  height: 100vh;
  color: #fff;
}

.header-top {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 0 20px;
  transition: 0.25s ease-in-out;
}

.header.scrolled .header-top {
  padding: 20px 0;
  transition: 0.25s ease-in-out;
}

.header .site-logo svg {
  height: 32px;
}

.header.open {
  display: block;
  height: 100vh;
  width: 100%;
  background-color: #000;
  /* background-image: linear-gradient(to right top, #ecdf31, #a9ea72, #78ebae, #74e4d7, #9bd9e4); */
  left: 0;
  transition: 0.25s ease-in-out;
  transition: all 0.25s linear;
  padding-bottom: 24px;
}

.header.open .site-logo svg .cls-1 {
  fill: #fff;
  stroke: #fff;
}

.header.open .header__right .menu-line1 {
  transform-origin: center;
  transform: rotate(-45deg);
  top: 18px;
  background-color: #fff;
}

.header.open .header__right .menu-line2 {
  transform-origin: center;
  transform: rotate(45deg);
  top: 18px;
  background-color: #fff;
}

.header .nav {
  display: none;
  padding: 0 16px;
}

.header.open .nav {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  height: 100%;
}

.navbar {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  row-gap: 60px;
  height: 90%;
}

.nav-menu ul {
  display: flex;
  justify-content: center;
  column-gap: 24px;
  flex-wrap: wrap;
}

.nav-menu ul li a {
  font-size: 28px;
  font-weight: 300;
  text-transform: uppercase;
  line-height: 1.8rem;
}

.nav-official,
.nav-fanclub {
  min-width: 600px;
}

.nav-label {
  text-align: center;
  font-size: 32px;
  text-transform: uppercase;
  font-weight: 400;
}

.nav-label::after {
  content: '';
  display: block;
  border-bottom: 1px solid #fff;
  width: 40px;
  margin: 8px auto 16px;
}

.fanclub-name {
  bottom: 0;
  width: 100%;
  text-align: center;
  padding: 20px 0;
  height: 10%;
}

.nav-sns img {
  width: 44px;
}

@media screen and (max-width: 767px) {
  .header {
    padding: 0 24px;
    height: 66px;
  }

  .header-wrapper {
    padding: 0;
  }

  .header .site-logo svg {
    height: 24px;
    width: auto;
  }

  .nav-official,
  .nav-fanclub {
    min-width: 100%;
    width: 100%;
  }

  .nav-label {
    font-size: 20px;
  }

  .nav-menu ul li a {
    font-size: 16px;
  }

  .nav-sns img {
    width: 36px;
  }
}

.header-nav {
  display: flex;
  align-items: center;
}

.nav-account {
  display: flex;
  align-items: center;
  margin-right: 24px;
}

.nav-account ul {
  display: flex;
  align-items: center;
  column-gap: 24px;
}

.nav-account ul li a {
  text-transform: uppercase;
}

.header__right {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: center;
  width: 44px;
  height: 44px;
  position: relative;
}

.header__right .menu-line1,
.header__right .menu-line2 {
  position: absolute;
  display: inline-block;
  height: 2px;
  background-color: #000;
  width: 44px;
  margin: 4px 0;
  transition: 0.25s ease-in-out;
}

.header__right .menu-line1 {
  top: 12px;
}

.header__right .menu-line2 {
  bottom: 12px;
}

@media screen and (max-width: 767px) {
  .header .site-logo svg {
    height: 24px;
  }

  .header .header-top,
  .header.scrolled .header-top {
    padding: 11px 0;
  }

  .nav-account {
    margin-right: 12px;
    margin-top: -2px;
  }

  .nav-account ul {
    column-gap: 12px;
  }
}
